<?php

return [
    "achtung"                         => "Warning! Structure and functionality of our website are subject to constant development and changes. We try to update our help pages as quickly as possible, but can not prevent temporary mistakes.",
    "title"                           => "MetaGer Help",
    "einstellungen"                   => "Preferences",
    "allgemein.title"                 => "Common settings",
    "allgemein.1"                     => "Click this button for search settings:",
    "allgemein.2"                     => "The colour drop on the left side of the search field allows you to apply your favourite colour to MetaGer.",
    "allgemein.3"                     => "Add MetaGer to your browsers search engines by clicking the \"Add the MetaGer Plugin\" button just below the search field.",
    "suchfokus.title"                 => "Select a search focus / using the \"customize\" button",
    "suchfokus.1"                     => "There are five predefined search settings (foci) above the search field. These should be enough for the most demands. ( \"Web\", \"Pictures\", \"News/Politics\", \"Science\", \"Shopping\").",
    "suchfokus.2"                     => "Click this button to create an own search focus:",
    "suchfokus.3"                     => "At first give a name to your new focus. Then choose your desired engines and click \"Save search focus\".",
    "suchfokus.4"                     => "You may change / edit your own focus by clicking the pencil:  (<i class=\"fa fa-pencil\" aria-hidden=\"true\"></i>)",
    "sucheingabe.title"               => "Search field",
    "sucheingabe.hint"                => "The following <i>searches and web pages</i> are just examples. Replace them by your own in practice.",
    "stopworte.title"                 => "Stopwords",
    "stopworte.1"                     => "If you want to exclude words within the search result, you have to put a \"-\" in front of that word",
    "stopworte.2"                     => "Example: You are looking for a new car, but no BMW. Then your search should be <div class=\"well well-sm\">new car -bmw</div>",
    "stopworte.3"                     => "car new -bmw",
    "mehrwortsuche.title"             => "Searching for more than one word",
    "mehrwortsuche.1"                 => "Without quotation you will get results containing one or some of the words of your search entry. Use quotes for the search for exact phrases, citations....",
    "mehrwortsuche.2"                 => "Example: search for Shakespears <div class=\"well well-sm\">to be or not to be</div> will deliver many results, but the exact phrase will only be found using <div class=\"well well-sm\">\"to be or nor to be\"</div>",
    "mehrwortsuche.3"                 => "Please use quotes to make sure to get your search words in the results list.",
    "mehrwortsuche.3.example"         => '"round-table" "decision"',
    "mehrwortsuche.4"                 => "Put words or phrases in quotation marks to search for exact combinations.",
    "mehrwortsuche.4.example"         => '"round-table decision"',
    "grossklein.title"                => "Upper case vs. lower case",
    "grossklein.1"                    => "Upper case will not be distinguished from lower case",
    "grossklein.2"                    => "Searching for <div class=\"well well-sm\">Shakespeare</div> or <div class=\"well well-sm\">SHAKESPEARE</div> will deliver the same results as <div class=\"well well-sm\">shakespeare</div>",
    "grossklein.2.example"            => "capitalization",
    "grossklein.3"                    => "should give the same results as",
    "grossklein.3.example"            => "CAPITALIZATION",
    "domains.title"                   => "Restrict to specific domain(s) / exclude domain(s)",
    "domains.sitesearch.explanation"  => "Type site:<i>your-domain-here.uk</i> to restrict the search to that domain.",
    "domains.sitesearch.example.1"    => "Example: I want to restrict my search to en.wikipedia.org. Type:",
    "domains.sitesearch.example.2"    => "<i>my search words</i> site:en.wikipedia.org",
    "domains.sitesearch.example.3"    => "Example: Restriction to wikipedia but all languages:",
    "domains.sitesearch.example.4"    => "Type: <i>my search words</i> site:wikipedia.org",
    "domains.blacklist.explanation"   => "Exclude a specific domain: Either the exclusion of a subdomain or of a top level domain. Type <i>my search words</i> -site:<i>en.wikipedia.org</i> or <i>my search words</i> -site:*.<i>wikipedia.org</i>",
    "domains.blacklist.example.1"     => "Example: You do not want to get results from Wikipedia. There are two possibilities:",
    "domains.blacklist.example.2"     => "Exclude results from the english Wikipedia (domain) so <i>en.wikipedia.org</i>",
    "domains.blacklist.example.3"     => "<i>my search words</i> -site:<i>en.wikipedia.org</i>",
    "domains.blacklist.example.4"     => "You get results from e.g. de.wikipedia.org further on.",
    "domains.blacklist.example.5"     => "Exclude all results of all wikipedia domains:",
    "domains.blacklist.example.6"     => "<i>my search words</i> -site:*.<i>wikipedia.org</i>",
    "domains.showcase.explanation.1"  => 'You can exclude Top-Level-Domains and subdomains directly from the results page by clicking the "More"-Button:',
    "domains.showcase.menu.1"         => "Using it you get a menu with the following options:",
    "domains.showcase.menu.2"         => "Cache the results for further filtering (more information <a href=\"#searchinsearch\"> here</a>)",
    "domains.showcase.menu.3"         => 'Start a new search on the domain "de.wikipedia.de)"',
    "domains.showcase.menu.4"         => "Search without using the subdomain (de.wikipedia.de)",
    "domains.showcase.menu.5"         => "Search without using the Top-Level-Domain (wikipedia.de)",
    "domains.showcase.menu.6"         => "Try it right here by clickig the options.",

    "urls.title"                      => "Exclude URLs",
    "urls.explanation"                => "Use \"-url:\" to exclude search results containing specified words.",
    "urls.example.1"                  => "Example: You don' t want the word \"dog\" in the results:",
    "urls.example.2"                  => "Type <i>my search words</i> -url:dog",
    "dienste"                         => "Tools-free of charge",
    "app.title"                       => "Android-App",
    "app.1"                           => "You can use MetaGer within an app, too. To do so just download the <a href=\"https://play.google.com/store/apps/details?id=de.metager.metagerapp\" target=\"_blank\" rel=\"noopener\">MetaGer App</a> on your Android smartphone.",
    "plugin.title"                    => "Browser-Plugin",
    "plugin.1"                        => "There is a MetaGer Plugin for most of the common web browsers. The plugin provides easy search from the web browsers search field. Find out more: <a href=\"/#plugin-modal\" target=\"_blank\" rel=\"noopener\">MetaGer Plugin</a>.",
    "suchwortassoziator.title"        => "Finding connotations to searchwords",
    "suchwortassoziator.1"            => "Ask the <a href=\"https://metager.de/klassik/asso/\" target=\"_blank\" rel=\"noopener\">MetaGer-Web-Assoziator</a> (Tools / Associator) to find connotations in a subject area. The service doesn&apos;t append upon any language because it uses webdocuments as a source. Therefore, you find any connotations to your used language and vice-versa.",
    "suchwortassoziator.2"            => "Example: you want to know more about \"tick bites\" and its dangers but you forgot the technical terms around this issue. The \"Assoziator\" presents \"Borreliose\" and \"fsme\" among others.",
    "suchwortassoziator.3"            => "Please let us know if something unsuitable appears. Please use our <a href=\"/en/kontakt/\" target=\"_blank\" rel=\"noopener\">contact form</a>.",
    "widget.title"                    => "MetaGer widget",
    "widget.1"                        => "Provide full MetaGer functionality to your own website! Just select Tools / widget on our startpage, decide whether you want a powerful websearch or a sitesearch -which may be useful on your own pages. Enter the domainname and let the script do the rest. Questions to: <a href=\"/en/kontakt/\" target=\"_blank\" rel=\"noopener\">contact form</a>",
    "dienste.kostenlos"               => "All our services are cost free. You do not pay with your data.",
    "datenschutz.title"               => "Privacy",
    "datenschutz.faktencheck.heading" => "Fact-Check versus fake news:",
    "datenschutz.faktencheck.body.1"  => "<a href=\"http://www.password-online.de/?wysija-page=1&controller=email&action=view&email_id=280\" target=\"_blanK\" rel=\"noopener\">Ausführliche Anleitung und Beschreibung</a> von <a href=\"http://www.ude.de/\" target=\"_blanK\" rel=\"noopener\">Albrecht Ude</a>",
    "datenschutz.faktencheck.body.2"  => "<a href=\"en/hilfe/faktencheck\">Checklist</a>",
    "datenschutz.1"                   => "Cookies, Session-IDs, IP addresses",
    "datenschutz.2"                   => "We don&apos;t store or work with any personal information (For the purpose of securing our servers against Hacking- and Bot-Attacks, we need to store these information for a short period of time. It will be then automatically deleted afterwards). We provide further privacy security services as follows:",
    "datenschutz.3"                   => "For more details see \"Tools\" above.",
    "tor.title"                       => "Tor Hidden Service",
    "tor.1"                           => "MetaGer provides the highest reachable security level for your privacy (anonymised IP addresses, servers under german privacy protection law). For further security needs or fear of compromised servers you may use the MetaGer-Tor branch. Please download the specialized webbrowser from <a href=\"https://www.torproject.org/\" target=\"_blank\" rel=\"noopener\">https://www.torproject.org/</a>. You will find help there, too.",
    "tor.2"                           => "MetaGer Tor address: http://b7cxf4dkdsko6ah2.onion/tor/",
    "proxy.title"                     => "MetaGer proxy server",
    "proxy.1"                         => "Looking at the MetaGer result page, you will find a link \"open anonymously\" marked by a small lock at the right of every single result. Use this link to hide behind the MetaGer proxy server. The provided protection is limited to the website you reached from our result page. Protection persists while you see https://proxy.suma-ev.de/?url=...in your webbrowser‘s address field.",
    "infobutton.title"                => "I see a <i class=\"fa fa-info-circle info-details-available\" aria-hidden=\"true\"></i> in some spots. What is it?",
    "infobutton.1"                    => "You gain more information on the specific theme by clicking it (e.g. weather data or something).",
    "maps.title"                      => "MetaGer maps",
    "maps.1"                          => "MetaGer provides a map function: On a result page you see a new focus on the upper right, called \"maps.MetaGer.de\". You receive a map according to your search by click (only Germany for the moment). Use the \"customize\" page for toggling maps function \"show/hide\", you will get a durably embedded small map on the result page, then.",
    "maps.2"                          => "After loading the map shows POIs according to the MetaGer results. You see them in the right column too. Mouseover a POI highlights its counterpart. Click \"Details\" to get further information (Nominatim data base) to this POI.",
    "maps.3"                          => "The maps are rendered before (except for the last three ones) and fast available. Affect the zoom level by mouse-wheel or the \"+ / -\" buttons in the upper left corner of the map.",
    "maps.4"                          => "All maps are prerendered and quickly useable (but the 3 highest levels).  Please regulate the zoom level with the mousewheel or the \"+ / -\" buttons in the upper left corner of the map.",
    "sucheingabe"                     => "Enter search words",
    "bang.title"                      => "!bangs",
    "bang.1"                          => "MetaGer uses a little a special spelling called \"!bang syntax\". A !bang starts with the \"!\" and doesn' t contain blanks (\"!twitter\", \"!facebook\" for example). If you use a !bang supported by MetaGer you will see a new entry in the \"Quicktips\". We direct then to the specified service (click the button). Read more about our method departing from others:  <a href=\"/faq/#bangs\" target=\"_blank\" rel=\"noopener\">unseren FAQ</a>",
    "searchinsearch.title"            => "Search in search",
    "searchinsearch.1"                => "To use \"Search in search\" click the small blue triangle <a href=\"#exampleimg\"> at the right of the results URL. Then click \"Save result in TAB\" in the context menu. The result will then be stored in a new TAB appearing at the right of the other TABs (\"Web\", \"Shopping\" etc.). It is called \"Saved results\". You can store here single results from several searches. The TAB persists. Entering this TAB you get your personal result list with tools to filter and sort the results. Click another TAB to go back for further searches. More info (only german so far): <a href=\"http://blog.suma-ev.de/node/225\" target=\"_blank\" rel=\"noopener\"> http://blog.suma-ev.de/node/225</a>.",
];
